#!/bin/sh
#
# cnp -- Start the TPC Launch client
function backUp
{
	if [ -f $1 ]
	then
		mv -f $1 $2
	fi
}

export LAUNCH_CONFIG_HOME=${0%/*} 
# Get the ITM defaults
if [ -e $LAUNCH_CONFIG_HOME/../../../config/env.config ]
then
  source $LAUNCH_CONFIG_HOME/../../../config/env.config
else
  echo "Error: unable to find env.config"
fi
echo
if [ -e $LAUNCH_CONFIG_HOME/../../../config/cj.config ]
then
  source $LAUNCH_CONFIG_HOME/../../../config/cj.config
else
  echo "Error: unable to find cj.config"
fi

export ITM_HOME=${LOGSHOME%/*} 
export KCJ_HOME=${KFW_HOME}
export KCJ_LIB=${KCJ_HOME}/lib

# update this variable after installing NetView WebConsole
export NVWC_HOME="/nvwc"

if [ -f ${ITM_HOME}/registry/ittpd.ver -a -n "${NVWC_HOME}" -a -f "${NVWC_HOME}"/lib/launch.jar ]
then
  export NVWC_WORKING_DIR="${NVWC_HOME}/lib"
  export NVWC_JAVA="${NVWC_HOME}/jre/bin/java"
  export NV_INST_FLAG=YES
else
  export NV_INST_FLAG=NO
fi

# If NVWC_HOME is not defined check if we can launch NetView
# Web Console from NetView Server installation
if [ "${NV_INST_FLAG}" = "NO" ];then
  if [ -f /usr/OV/www/webapps/netview/launch.jar ];then
    export NV_INST_FLAG=YES
    export NVWC_WORKING_DIR=/usr/OV/www/webapps/netview
    export NVWC_JAVA=/usr/OV/jre/bin/java
  fi
fi

export CLASSPATH=${JAVA_HOME}:${KCJ_LIB}/cnp.jar:${KCJ_LIB}/cnp_vbjorball.jar:${KCJ_LIB}/ae.jar:${KCJ_LIB}/kjrall.jar:${KCJ_LIB}/cnp_jviewsall.jar:${KCJ_LIB}/browser.jar:${KCJ_LIB}/browser-li.jar:${KCJ_LIB}/browser-core-li.jar:${KCJ_LIB}/chart.jar:${KCJ_LIB}/terminal.jar:${KCJ_LIB}/util.jar:${KCJ_LIB}/icu4jm32.jar:${KCJ_LIB}/deploy.jar:${KCJ_LIB}/cnp_ps.jar:${KCJ_LIB}/ks3_resources.jar:${KCJ_LIB}/ks3.jar
export CPATH=${CLASSPATH}:.

# Backing up kcjerror files (9 generations)
export LOGFILENAME=${LOGSHOME}/ks3error
backUp ${LOGFILENAME}_8.log ${LOGFILENAME}_9.log
backUp ${LOGFILENAME}_7.log ${LOGFILENAME}_8.log
backUp ${LOGFILENAME}_6.log ${LOGFILENAME}_7.log
backUp ${LOGFILENAME}_5.log ${LOGFILENAME}_6.log
backUp ${LOGFILENAME}_4.log ${LOGFILENAME}_5.log
backUp ${LOGFILENAME}_3.log ${LOGFILENAME}_4.log
backUp ${LOGFILENAME}_2.log ${LOGFILENAME}_3.log
backUp ${LOGFILENAME}_1.log ${LOGFILENAME}_2.log
backUp ${LOGFILENAME}.log   ${LOGFILENAME}_1.log

date 2>&1 1> ${LOGFILENAME}.log
cd ${KCJ_HOME}
${JAVA_HOME}/bin/java -Xms64m -Xmx256m -showversion -noverify -classpath ${CPATH} -Dnvwc.java="${NVWC_JAVA}" -Dnv_inst_flag=${NV_INST_FLAG} -Dnvwc.cwd="${NVWC_WORKING_DIR}" -Dkjr.trace.mode=LOCAL -Dkjr.trace.file=${LOGSHOME}/kcjras1.log -Dkjr.trace.params=ERROR -Dibm.stream.nio=true -DORBtcpNoDelay=true -Dcnp.http.url.host=127.0.0.1 -Dkjr.browser.default=/usr/bin/firefox -Dvbroker.agent.enableLocator=false -Dhttp.proxyHost= -Dhttp.proxyPort= candle.ks3.launch.LaunchConfig $1 $2 $3 $4 $5 $6 $7 $8 $9 2>&1 1>> ${LOGFILENAME}.log 
